Package org.springframework.web.service.invoker

# Class ReactiveHttpRequestValues

java.lang.Object
org.springframework.web.service.invoker.HttpRequestValues
org.springframework.web.service.invoker.ReactiveHttpRequestValues

public final class ReactiveHttpRequestValues extends HttpRequestValues
`HttpRequestValues` extension for use with `ReactorHttpExchangeAdapter`.

Since:
  6.1
Author:
  Rossen Stoyanchev, Olga Maciaszek-Sharma

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ReactiveHttpRequestValues.Builder`
Builder for `ReactiveHttpRequestValues`.

## Nested classes/interfaces inherited from class org.springframework.web.service.invoker.HttpRequestValues

`HttpRequestValues.Metadata`

## Method Summary

Modifier and Type
Method
Description
`static ReactiveHttpRequestValues.Builder`
`builder()`
`Publisher<?>`
`getBodyPublisher()`
Return a `Publisher` that will produce the request body.
`org.springframework.core.ParameterizedTypeReference<?>`
`getBodyPublisherElementType()`
Return the element type for a body publisher.

### Methods inherited from class org.springframework.web.service.invoker.HttpRequestValues

`getAttributes, getBodyValue, getBodyValueType, getCookies, getHeaders, getHttpMethod, getUri, getUriBuilderFactory, getUriTemplate, getUriVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBodyPublisher

@Nullable public Publisher<?> getBodyPublisher()
Return a `Publisher` that will produce the request body.

This is mutually exclusive with `HttpRequestValues.getBodyValue()`. Only one of the two or neither is set.

### getBodyPublisherElementType

@Nullable public org.springframework.core.ParameterizedTypeReference<?> getBodyPublisherElementType()
Return the element type for a body publisher.

### builder

public static ReactiveHttpRequestValues.Builder builder()